List all jobs
import requests
url = "https://{FUSION_HOST}/job-config/jobs"
response = requests.get(url)
print(response.text)[
{
"resource": "task:delete-old-system-metrics",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-14T04:26:00.035Z",
"lastEndTime": "2025-12-14T04:26:00.139Z",
"nextStartTime": "2025-12-21T04:26:00.000Z"
},
{
"resource": "spark:index_synthetic_data",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-18T19:00:00.112Z",
"lastEndTime": "2025-12-18T19:01:02.975Z",
"nextStartTime": "2025-12-18T22:00:00.000Z"
},
{
"resource": "datasource:en_webv2",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-18T05:00:05.269Z",
"lastEndTime": "2025-12-18T05:04:12.263Z",
"nextStartTime": "2025-12-19T05:00:00.000Z"
}
]List all jobs
List all configured Spark jobs, optionally filtering by status, type, context, or whether the job is enabled.
GET
/
job-config
/
jobs
List all jobs
import requests
url = "https://{FUSION_HOST}/job-config/jobs"
response = requests.get(url)
print(response.text)[
{
"resource": "task:delete-old-system-metrics",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-14T04:26:00.035Z",
"lastEndTime": "2025-12-14T04:26:00.139Z",
"nextStartTime": "2025-12-21T04:26:00.000Z"
},
{
"resource": "spark:index_synthetic_data",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-18T19:00:00.112Z",
"lastEndTime": "2025-12-18T19:01:02.975Z",
"nextStartTime": "2025-12-18T22:00:00.000Z"
},
{
"resource": "datasource:en_webv2",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-18T05:00:05.269Z",
"lastEndTime": "2025-12-18T05:04:12.263Z",
"nextStartTime": "2025-12-19T05:00:00.000Z"
}
]Query Parameters
Filter jobs by status, one of: ready, running, success, aborted, or failed.
Filter jobs by whether they are enabled (true) or disabled (false).
Filter jobs by type, one of: task, spark, or datasource.
The app to which a job belongs, formatted as app:APP_NAME.
Was this page helpful?
⌘I